<?php
error_reporting(0);
require_once('library/minify.php');
ob_start('minify_html');
?>
<!DOCTYPE html>
<html lang="en">
<head cache-control: private, max-age=0>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- X-XSS-Protection -->
    <meta http-equiv="X-XSS-Protection" content="1; mode=block">
    <!-- X-Frame-Options 
    <meta http-equiv="X-Frame-Options" content="SAMEORIGIN">-->
    <!-- X-Content-Type-Options -->
    <meta http-equiv="X-Content-Type-Options" content="nosniff">
    <!-- X-Robots-Tag -->
    <meta name="robots" content="none">
    <!-- Referrer-Policy -->
    <meta name="referrer" content="strict-origin">
    <!-- Permissions-Policy -->
    <meta http-equiv="Permissions-Policy" content="geolocation=(),midi=(),sync-xhr=(),microphone=(),camera=(),magnetometer=(),gyroscope=(),fullscreen=(self),payment=()">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="author" content="@TaskS / @Sawit">
	<meta name="description" content="Admin Panel Management">
	<title>The PHP PDO for MySQL or MariaDB Admin Generator</title>
	<link href="scrcss/bootstrap.min.css" rel="stylesheet">
	<!-- Custom CSS -->
	<style type="text/css">
		.card-blockquote {	border: none;margin-top: 1px	}
		#tables_draw {	overflow-y: auto;max-height: 30rem;	}
		p {	font-size: 22px; color: green; text-shadow: 1px 1px 1px #8AA7A5; }
		i {	color: green;text-shadow: 1px 1px 1px #8AA7A5;	}
		label {	font-size: 18px;color: green;text-shadow: 1px 1px 1px #8AA7A5;}
		body {  background: -webkit-linear-gradient(#eeffe8, white); background: -o-linear-gradient(#eeffe8, white); 
				background: -moz-linear-gradient(#eeffe8, white); background: linear-gradient(#eeffe8, white); 
				background-repeat: no-repeat;
		}
	</style>
</head>
<body>
<div class="container">
<div class="row">
			<div class="col-lg-12"><center>
				<div class="card text-white ">
					<div class="card-body">
						<blockquote class="card-blockquote">
							<h3>&nbsp;&nbsp;<a href="index.php"><span class='glyphicon glyphicon-home'></span> Home page</a></h3><h2><b>PHP Admin Generator for <i>PDO</i></b></h2>
						</blockquote>
					</div>
				</div></center>
				<div class="panel panel-default">
					<div class="panel-body"><i>
						<div class="col-lg-12">
						<table align="center">
				        <tr><td><img src="images/gifgen.gif" alt="Generator Concept" ></td>
						<td>
							<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Generator is a PHP tool that helps you create a PHP Admin Panel <b><u>SCRUDS</u></b> 
							(<b><u>S</u></b>ign in, <b><u>C</u></b>reate, <b><u>R</u></b>ead, <b><u>U</u></b>pdate, <b><u>D</u></b>elete, <b><u>S</u></b>earch)
							for MariaDB or MySQL and SQLite database.&nbsp;&nbsp;Management database by <a href="adminer/index.php" target='_blank'><u>Adminer</u></a>.</p>
							<form id="allData">
								<fieldset>
									<!-- Step 1 -->
									<legend class="hidden-first">Database Server Information</legend>
									<div class="form-group hidden-first">
										<label for="inputHost">Host</label>
										<input type="text" class="form-control" id="inputHost" placeholder="Host" aria-describedby="hostHelp" value="127.0.0.1" required>
										<small id="hostHelp" class="form-text text-muted">Your server address, e.g. localhost</small>
									</div>
									<div class="form-group hidden-first">
										<label for="inputUsername">Username</label>
										<input type="text" class="form-control" id="inputUsername" placeholder="Username" aria-describedby="usernameHelp" value="root" required>
										<small id="usernameHelp" class="form-text text-muted">Database username, e.g. root</small>
									</div>
									<div class="form-group hidden-first">
										<label for="inputPassword">Password</label>
										<input type="password" class="form-control" id="inputPassword" placeholder="Password" autocomplete="off">
									</div>
									<button class="btn btn-success hidden-first" id="connect">Next Step</button>
									<!-- Step 2 -->
									<div class="form-group hidden-first hide">
										<legend for="dbSelect">Available Databases select</legend>
										<select class="form-control" id="dbSelect">
											<option value="">Please select</option>
										</select>
									</div>
									<!-- Step 3 -->
									<div class="form-group hidden-first hide">
										<legend for="tables_draw">Tables select</legend>
										<div id="tables_draw"><span class="text-danger">Please select a database</span></div>
									</div>
									<div class="form-group hidden-first hide">
										<legend for="tables_draw">Theme select below</legend>
									</div>
									<div class="form-group hidden-first hide">
										<label for="theme2" class="text-primary"><input type="radio" name="theme" value="blue" id="theme2" > Light-Blue</label><br>
										<label for="theme1" class="text-success"><input type="radio" name="theme" value="green" id="theme1" checked> Light-Green</label>
									</div>
									<div class="form-group hidden-first hide">
										<legend for="tables_draw">Options</legend>
									</div>
									<div class="form-group hidden-first hide">
										<input type="checkbox" id="htmlEditor">&nbsp;
										<label for="htmlEditor">Enable full HTML editor for columns of type TEXT</label>
									</div>
									<div class="form-group hidden-first hide">
										<input type="checkbox" id="createSQLite">&nbsp;
										<label for="createSQLite">Automatically create structure table from MariaDB to SQLite file</label>
										<!--&nbsp;<span class="text-danger">(It may take a long time)</span>-->
									</div>
									<div class="form-group hidden-first hide">
										<input type="checkbox" id="zipDownload" checked>&nbsp;
										<label for="zipDownload">Zip download</label>
									</div>
									<button class="btn btn-success hidden-first hide" id="generate">Generate Admin Panel</button>
								</fieldset>
							</form>
							<br />
						</div>
						<div class="clearfix"></div><br>
						<div class="col-lg-12">
							<small class="text-muted">
								<strong>* PHP Generator for MySQLi or Mariadb and SQLite.&nbsp;</strong>
								<strong>Concept learned for student or person.</strong>
							</small>
						</div></i>
						</td>
						</tr>
					</div>

				</div>
			</div>

		</div>
	</div>
	<!-- jQuery Version 1.11.1 -->
	<script src="js/jquery-1.12.0.min.js"></script>
	<!-- Bootstrap Core JavaScript -->
	<script src="js/bootstrap.min.js"></script>
	<script type="text/javascript">
		$(document).ready(function() {

			/**
			 * Connect and generate
			 */
			$("#connect, #generate").on("click", function(e) {
				e.preventDefault();
				action = $(this).attr("id");
				DBActions(action);
			});

			/**
			 * Get table from database
			 */
			$("#dbSelect").change(function() {
				DBActions("tables_list");
			});

			/**
			 * selectAll
			 *
			 * @return void
			 */
			function selectAll() {
				$('[name="selected_tables[]"]').not('[name="selected_tables[]"][value="genusers"]').prop('checked', $('#select-all').prop('checked'));
			}


			/**
			 * DBActions
			 *
			 * @return void
			 */
			function DBActions(p_action) {
				let action = p_action;
				if (action === "generate" && $("#dbSelect").val() == "") {
					alert("Please select database");
					$("#dbSelect").focus();
					return false;
				} else if (action === "generate" && $('[name="selected_tables[]"]:checked').length < 1) {
					alert("Please select tables");
					return false;
				} else {
					if (action === "generate") {
						$("#generate").text("Please Wait...");
						$("#generate").attr("disabled", "disabled");
					}
					let selectedTables = $('[name="selected_tables[]"]:checked').map(function() {
						return $(this).val();
					}).get();
					$.ajax({
						type: "POST",
						url: "handler.php",
						dataType: "JSON",
						data: {
							action: action,
							host: $("#inputHost").val(),
							username: $("#inputUsername").val(),
							password: $("#inputPassword").val(),
							database: $("#dbSelect").val(),
							tables: selectedTables,
							htmlEditor: $("#htmlEditor").is(":checked") ? 1 : 0,
							zipDownload: $("#zipDownload").is(":checked") ? 1 : 0,
							createSQLite: $("#createSQLite").is(":checked") ? 1 : 0,
							theme: $("input[name=theme]:checked").val(),
						},
						success: function(response) {
							if (action === "connect" || action === "generate") {
								$("#generate").text("Generate");
								$("#generate").removeAttr("disabled");
								if (response.status === "success") {
									$("#dbSelect").append(response.result);
									$(".hidden-first").toggleClass("hide");
								} else if (response.status === "finished") {
									$(".panel-body").html(response.message);
								} else {
									alert(response.message);
								}
							} else {
								if (response.status === "success") {
									$("#tables_draw").html(response.result);
									$('#select-all').change(selectAll);
								} else {
									alert(response.message);
								}
							}

						},
						error: function(XMLHttpRequest, textStatus, errorThrown) {
							console.log(errorThrown);
						}
					});
				}
			}
		});
	</script>
</body>

</html>
<?php ob_end_flush(); /* Send buffer output*/ ?>