<?php 
// https://www.codexworld.com/export-data-to-excel-in-php/
// Load the database configuration file 
include("includes/connect.php"); 
 
// Include XLSX generator library 
require_once 'includes/PhpXlsxGenerator.php'; 
 
// Excel file name for download 
$fileName = "output-data_" . date('Y-m-d') . ".xlsx"; 
 
// Define column names 
$excelData[] = array('ID', 'DATE', 'TITLE', 'CATEGORY', 'PROVINCE', 'STATUS'); 
 
// Fetch records from database and store in an array 
$query = mysqli_query($link, "SELECT * FROM tb1567 limit 1000");
if($query->num_rows > 0){ 
    while($row = mysqli_fetch_array($query)){ 
        $lineData = array($row['id'], $row['comp_date'], $row['comp_title'], $row['category'], $row['province'], $row['status']);  
        $excelData[] = $lineData; 
    } 
} 
 
// Export data to excel and download as xlsx file 
$xlsx = CodexWorld\PhpXlsxGenerator::fromArray( $excelData ); 
$xlsx->downloadAs($fileName); 
//$xlsx->saveAs($fileName); 
exit; 

?>