<?php
function upload_image()
{
	if (isset($_FILES["image"]['tmp_name']) && $_FILES["image"]['tmp_name'] != "") {
		include('resize_image.php');
		include('path.php');

		$extension = explode('.', $_FILES['image']['name']);
		$new_name = rand() . '.' . $extension[1];
		$destination = $upath . $new_name;
		$image = new resize_image();
		$image->load($_FILES['image']['tmp_name']);
		$image->resize(300, 300); // รูปภาพ ขนาด ภาพ 1 นิ้ว x 1 นิ้ว 
		$image->save($destination);

		if (isset($_POST['id'])) {
			$oldF = $upath . get_image_name($_POST['id']);
			@unlink($oldF);
		}


		//move_uploaded_file($_FILES['image']['tmp_name'], $destination);
		return $new_name;
	}
	return false;
}

function upload_pdf()
{
	if (isset($_FILES["files"]['tmp_name']) && $_FILES["files"]['tmp_name'] != "") {
		include('path.php');

		$extension = explode('.', $_FILES['files']['name']);
		$new_name = rand() . '.' . $extension[1];
		$destination = $fpath . $new_name;
		move_uploaded_file($_FILES["files"]["tmp_name"], $destination);

		if (isset($_POST['id'])) {
			$oldF = $fpath . get_pdf_name($_POST['id']);
			@unlink($oldF);
		}
		return $new_name;
	}
	return false;
}

function database_size($dbname)
{   global $dbs;
	include('connect.php');
	if ($dbs=='1') {
	$query = "SELECT SUM(ROUND(((data_length + index_length) / 1024), 2)) AS size_kb
			  FROM information_schema.TABLES
			  WHERE table_schema = '".$dbname."' ";
	}
	if ($dbs=='2') {
	$query = "select ((select * from pragma_page_count())*(select * from pragma_page_size()))/1024 as size_kb";
	}
	$stmt = $pdo->query($query);
	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	return $row['size_kb'] ?? null;
}

function get_pdf_name($id)
{
	include('connect.php');
	$query = "SELECT files FROM genusers WHERE id = :id";
	$stmt = $pdo->prepare($query);
	$stmt->bindParam(':id', $id, PDO::PARAM_INT);
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	return $row['files'] ?? null;
}

function get_image_name($id)
{
	global $pdo;
	$query = "SELECT image FROM genusers WHERE id = :id";
	$stmt = $pdo->prepare($query);
	$stmt->bindParam(':id', $id, PDO::PARAM_INT);
	$stmt->execute();

	$row = $stmt->fetch(PDO::FETCH_ASSOC);

	return ($row !== false) ? $row['image'] : null;
}


function swap($str)
{
	$len = mb_strlen($str) - 1;
	$arr = mb_str_split($str);
	$tmp = NULL;

	for ($i = 0; $i < $len; $i++) {
		if (in_array($arr[$i], ['เ', 'แ', 'โ', 'ไ', 'ใ'])) {
			$tmp = $arr[$i];
			$arr[$i] = $arr[$i + 1];
			$arr[$i + 1] = $tmp;
			$i++; // เพื่อข้ามตัวอักษรถัดไปที่ถูกสลับไปแล้ว
		}
	}
	return implode('', $arr);
}
function encodeN($str = NULL)
{
	$search  = array('0', '1', '2', '3', '4', '5', '6', '7', '8', '9');
	$replace = array('ഄ', 'അ', 'ആ', 'ഇ', 'ഈ', 'ഉ', 'ഊ', 'ഋ', 'ഖ', 'ഗ');
	return str_replace($search, $replace, $str);
}
function decodeN($enc = NULL)
{
	$search  = array('0', '1', '2', '3', '4', '5', '6', '7', '8', '9');
	$replace = array('ഄ', 'അ', 'ആ', 'ഇ', 'ഈ', 'ഉ', 'ഊ', 'ഋ', 'ഖ', 'ഗ');
	return str_replace($replace, $search,  $enc);
}
function encodeTEN($str = NULL)
{
	$search  = array(
		'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z',
		'ก', 'ข', 'ฃ', 'ค', 'ฅ', 'ฆ', 'ง', 'จ', 'ฉ', 'ช', 'ซ', 'ฌ', 'ญ', 'ฎ', 'ฏ', 'ฐ', 'ฑ', 'ฒ', 'ณ', 'ด', 'ต', 'ถ', 'ท', 'ธ', 'น', 'บ', 'ป', 'ผ', 'ฝ', 'พ', 'ฟ', 'ภ', 'ม', 'ย',
		'ร', 'ฤ', 'ล', 'ฦ', 'ว', 'ศ', 'ษ', 'ส', 'ห', 'ฬ', 'อ', 'ฮ', 'ฯ', 'ะ', 'ั', 'า', 'ำ', 'ิ', 'ี', 'ุ', 'ู', 'เ', 'แ', 'โ', 'ไ', '็', '่', '้', '๊', '๋', '์'
	);
	$replace = array(
		'ഡ', 'ഢ', 'ണ', 'ത', 'ഥ', 'ദ', 'ധ', 'ന', 'ഩ', 'പ', 'ഫ', 'ബ',
		'ഭ', 'മ', 'യ', 'ര', 'റ', 'ല', 'ള', 'ഴ', 'വ', 'ശ',
		'ഷ', 'സ', 'ഹ', 'ഺ', 'ീ', 'ു', 'ൂ', 'ൃ', 'ൄ', 'െ', 'േ', 'ൈ', 'ൊ', 'ൔ',
		'ൕ', 'ൖ', 'ൗ', '൘', '൙', '൚', '൛', '൜', 'ൠ', '൧', '൨', '൩',
		'൪', '൫', '൭', '൮', '൯', '൰', '൱', 'අ', 'ආ', 'ඉ',
		'ච', 'ඡ', 'ජ', 'ට', 'ඨ', 'ඩ	', 'ඪ', 'ඬ', 'ත', 'ථ', 'ද', 'ධ', 'න', 'ඳ', 'ප', 'ඵ', 'බ',
		'භ', 'ශ', 'ෂ', 'ස', 'හ', 'ළ', '෦', '෧', '෨', '෩', '෪', '෫', '෬', '෭', '෮', '෯'
	);
	return str_replace($search, $replace, $str);
}
function decodeTEN($enc = NULL)
{
	$search  = array(
		'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z',
		'ก', 'ข', 'ฃ', 'ค', 'ฅ', 'ฆ', 'ง', 'จ', 'ฉ', 'ช', 'ซ', 'ฌ', 'ญ', 'ฎ', 'ฏ', 'ฐ', 'ฑ', 'ฒ', 'ณ', 'ด', 'ต', 'ถ', 'ท', 'ธ', 'น', 'บ', 'ป', 'ผ', 'ฝ', 'พ', 'ฟ', 'ภ', 'ม', 'ย',
		'ร', 'ฤ', 'ล', 'ฦ', 'ว', 'ศ', 'ษ', 'ส', 'ห', 'ฬ', 'อ', 'ฮ', 'ฯ', 'ะ', 'ั', 'า', 'ำ', 'ิ', 'ี', 'ุ', 'ู', 'เ', 'แ', 'โ', 'ไ', '็', '่', '้', '๊', '๋', '์'
	);
	$replace = array(
		'ഡ', 'ഢ', 'ണ', 'ത', 'ഥ', 'ദ', 'ധ', 'ന', 'ഩ', 'പ', 'ഫ', 'ബ',
		'ഭ', 'മ', 'യ', 'ര', 'റ', 'ല', 'ള', 'ഴ', 'വ', 'ശ',
		'ഷ', 'സ', 'ഹ', 'ഺ', 'ീ', 'ു', 'ൂ', 'ൃ', 'ൄ', 'െ', 'േ', 'ൈ', 'ൊ', 'ൔ',
		'ൕ', 'ൖ', 'ൗ', '൘', '൙', '൚', '൛', '൜', 'ൠ', '൧', '൨', '൩',
		'൪', '൫', '൭', '൮', '൯', '൰', '൱', 'අ', 'ආ', 'ඉ',
		'ච', 'ඡ', 'ජ', 'ට', 'ඨ', 'ඩ	', 'ඪ', 'ඬ', 'ත', 'ථ', 'ද', 'ධ', 'න', 'ඳ', 'ප', 'ඵ', 'බ',
		'භ', 'ශ', 'ෂ', 'ස', 'හ', 'ළ', '෦', '෧', '෨', '෩', '෪', '෫', '෬', '෭', '෮', '෯'
	);
	return str_replace($replace, $search,  $enc);
}

function datatable_decodeTEN($datagenusers, $encodeCol, $id)
{
	if (count($encodeCol) > 0) {
		/**
		 * Loop rows
		 */
		foreach ($datagenusers as $key_1 => $rows) {
			/**
			 * Loop columns
			 */
			foreach ($rows as $key_2 => $row) {
				if (in_array($key_2, $encodeCol)) {
					$datagenusers[$key_1][$key_2] = decodeTEN($datagenusers[$key_1][$key_2]);
				}
			}
		}
		foreach ($datagenusers as $key_1 => $rows) {
			/**
			 * Loop columns
			 */
			foreach ($rows as $key_2 => $row) {
				if (in_array($key_2, $id)) {
					$datagenusers[$key_1][$key_2] = encodeN($datagenusers[$key_1][$key_2]);
				}
			}
		}
	}
	return $datagenusers;
}

function fetch_decodeTEN($data, $encodeCol)
{
	if (count($encodeCol) > 0) {
		/**
		 * Loop columns
		 */
		foreach ($data as $key => $row) {
			if (in_array($key, $encodeCol)) {
				$data[$key] = decodeTEN($data[$key]);
			}
		}
	}
	return $data;
}

if (!function_exists('objectToArray')) {
	function objectToArray($object)
	{
		if (is_object($object) || is_array($object)) {
			$array = array();
			foreach ($object as $key => $value) {
				$array[$key] = objectToArray($value);
			}
			return $array;
		}
		return $object;
	}
}
function convert($size)
 {
    $unit=array('B','KB','MB','GB','TB','PB');
    return @round($size/pow(1024,($i=floor(log($size,1024)))),2).' '.$unit[$i];
 }
function mem_usage()
{
	return convert(memory_get_usage(true));
}
